<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();
//Aqui quito caracteres que estan de más en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$cedula_usuario=$_SESSION['CEDULA_USUARIO'];

// Número de Comprobante del pago que viene de la otra página.
$comprobante=$_GET['comprobante'];
$beca=$_GET['beca'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

// Tomo los Datos del usuario que procesó el pago.
$sqlUsuario = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
$rsUsuario = mysql_query($sqlUsuario, $cn) or die(mysql_error());
$rowUsuario = mysql_fetch_assoc($rsUsuario);
$nombre_usuario= $rowUsuario['nombres'].', '.$rowUsuario['apellidos'];

// Tomo los Datos del Pago.
$sqlPago = "select * from pagos where nro_comprobante='$comprobante'";
$rsPago = mysql_query($sqlPago, $cn) or die(mysql_error());
$rowPago = mysql_fetch_assoc($rsPago);
$nro_recibo= $rowPago['recibo_ulac'];
$fecha_registro= $rowPago['fecha_registro'];
$monto= $rowPago['monto'];
$nombre_alumno= $rowPago['nombre_alumno'];
$concepto= $rowPago['concepto_pago'];
$banco= $rowPago['banco_usuario'];
$comprobante= $rowPago['nro_comprobante'];
$forma=$rowPago['forma_pago'];
$id_carrera=$rowPago['carrera'];
$id_periodo=$rowPago['id_periodo'];
$id_alumno=$rowPago['id_alumno'];
$cuenta_receptora=$rowPago['cuenta_receptora'];
$status=$rowPago['status'];
$cedula_alumno= $rowPago['cedula'];

$sqlAlumno = "select cedula from alumnos where id_alumno='$id_alumno'";
$rsAlumno = mysql_query($sqlAlumno, $cn) or die(mysql_error());
$rowAlumno = mysql_fetch_assoc($rsAlumno);
$cedula_alumno= $rowAlumno['cedula'];
if($cedula_alumno==""){
   $cedula_alumno=$rowPago['cedula'];
   }

$sqlPeriodos = "select codigo from periodos where id_periodo='$id_periodo'";
$rstPeriodos = mysql_query($sqlPeriodos, $cn) or die(mysql_error());
$rowPeriodos = mysql_fetch_assoc($rstPeriodos);
$periodo=$rowPeriodos["codigo"];
	
$sqlPrograma = "select nombre_carrera from carreras Where id_carrera='$id_carrera'";
$rstPrograma = mysql_query($sqlPrograma, $cn) or die(mysql_error());
$rowPrograma = mysql_fetch_assoc($rstPrograma);
$costo_uc=$rowPrograma["costo_uc"];
$nombre_carrera=$rowPrograma["nombre_carrera"];
if($id_carrera=='0'){
   $nombre_carrera="NO APLICA";
   } 

// Tomo los Datos de la Forma de Pago.
$sqlForma = "select forma_pago from formas_pago where codigo='$forma'";
$rsForma = mysql_query($sqlForma, $cn) or die(mysql_error());
$rowForma = mysql_fetch_assoc($rsForma);
$forma_de_pago= $rowForma['forma_pago'];
// Divido el monto en Bolivares y centimos.
$monto_partes=explode(".",$monto);
$bolivares=strtoupper(monto_en_letras($monto_partes[0]));
$centimos=$monto_partes[1];

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
// $pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
if($status=="ANULADO"){
   $imagen=ImageCreatefromjpeg('../../imagenes/anulado.jpg');
   $pdf->addImage($imagen,150,$pdf->y-300,300,0);
}


$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."                        Universidad Latinoamericana y del Caribe".'</b>',14,array('justification'=>'left'));
$pdf->addText(480,740,9,"RIF: J-30262205-0");
$pdf->addText(480,730,9,"NIT:   0356968069");
$pdf->ezsetdy(-30);
$pdf->ezText('<b>'."R E C I B O  D E  P A G O".'</b>',14,array('justification'=>'center'));
$pdf->addText(480,690,14,utf8_decode("N°: ").str_pad($nro_recibo,6,0,STR_PAD_LEFT));
$pdf->addText(60,648,12,"Fecha: ".join ("-",(array_reverse(split("-",$fecha_registro)))));
$pdf->addText(410,650,14,"Por Bs. ");
$pdf->addText(460,650,14,'** '.number_format($monto,2, ",", ".").' **');
$pdf->line(455,645,550,645);
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."    ".'</b>'),16,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->ezText("          Hemos recibido de:  ".utf8_decode($nombre_alumno).utf8_decode(' - CÉDULA: ').$cedula_alumno,11,array('justification'=>'left'));
$pdf->line(160,620,550,620);
$pdf->ezsetdy(-9);
$pdf->ezText("            (PROGRAMA: ".utf8_decode($nombre_carrera).")",9,array('justification'=>'center'));
$pdf->line(60,600,550,600);
$pdf->ezsetdy(-20);
$pdf->ezText("          La Cantidad de:",11,array('justification'=>'left'));
$pdf->addText(150,572,11,'***'.$bolivares." CON ".$centimos."/100".utf8_decode(" Bolívares").' ***');
$pdf->line(140,568,550,568);
$pdf->ezsetdy(-10);
 $pdf->ezText("         Por Concepto de: ".utf8_decode($concepto),12,array('justification'=>'left'));
$pdf->line(155,543,550,543);
$pdf->ezsetdy(-15);
$pdf->ezText("           FORMA DE PAGO: ".utf8_decode($forma_de_pago),10,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText("           COMPROBANTE: ".$comprobante);
$pdf->ezsetdy(-5);
$pdf->ezText("           CUENTA RECEPTORA: ".$cuenta_receptora);
if($beca!=0){
   $pdf->ezsetdy(-5);
   $pdf->ezText("           BECA: ".$beca."%");
}
$pdf->line(400,475,550,475);
$pdf->addText(400,465,7,"POR LA ULAC: ".$nombre_usuario);
$pdf->line(60,460,550,460);
$pdf->ezsetdy(-32);
$pdf->ezText(utf8_decode("Urbanización Las Mercedes,Paseo Enrique Eraso, Torre La Noria, Piso 2 - Telfs.: (580212) 993.58.94 - 993-31-93"),8,array('justification'=>'center'));
$pdf->line(60,440,550,440);
$pdf->ezsetdy(-5);
/* / Aqui
$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."                        Universidad Latinoamericana y del Caribe".'</b>',14,array('justification'=>'left'));
$pdf->addText(480,410,9,"RIF: J-30262205-0");
$pdf->addText(480,400,9,"NIT:   0356968069");
$pdf->ezsetdy(-30);
$pdf->ezText('<b>'."R E C I B O  D E  P A G O".'</b>',14,array('justification'=>'center'));
$pdf->addText(480,360,14,utf8_decode("N°: ").str_pad($nro_recibo,6,0,STR_PAD_LEFT));
$pdf->addText(60,648,12,"Fecha: ".join ("-",(array_reverse(split("-",$fecha_registro)))));
$pdf->addText(410,650,14,"Por Bs. ");
$pdf->addText(460,650,14,'** '.number_format($monto,2, ",", ".").' **');
$pdf->line(455,645,550,645);
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."    ".'</b>'),16,array('justification'=>'center'));
$pdf->ezsetdy(-10);
$pdf->ezText("          Hemos recibido de:  ".utf8_decode($nombre_alumno).utf8_decode(' - CÉDULA: ').$cedula_alumno,11,array('justification'=>'left'));
$pdf->line(160,620,550,620);
$pdf->ezsetdy(-9);
$pdf->ezText("            (PROGRAMA: ".utf8_decode($nombre_carrera).")",9,array('justification'=>'center'));
$pdf->line(60,600,550,600);
$pdf->ezsetdy(-20);
$pdf->ezText("          La Cantidad de:",11,array('justification'=>'left'));
$pdf->addText(150,572,11,'*** '.$bolivares." CON ".$centimos."/100".utf8_decode(" Bolívares").' ***');
$pdf->line(140,568,550,568);
$pdf->ezsetdy(-10);
 $pdf->ezText("         Por Concepto de: ".utf8_decode($concepto),12,array('justification'=>'left'));
$pdf->line(155,543,550,543);
$pdf->ezsetdy(-15);
$pdf->ezText("           FORMA DE PAGO: ".utf8_decode($forma_de_pago),10,array('justification'=>'left'));
$pdf->ezsetdy(-5);
$pdf->ezText("           COMPROBANTE: ".$comprobante);
$pdf->ezsetdy(-5);
$pdf->ezText("           CUENTA RECEPTORA: ".$cuenta_receptora);

$pdf->line(400,475,550,475);

$pdf->addText(400,465,7,"POR LA ULAC: ".$nombre_usuario);
$pdf->line(60,460,550,460);
$pdf->ezsetdy(-32);
$pdf->ezText(utf8_decode("Urbanización Las Mercedes,Paseo Enrique Eraso, Torre La Noria, Piso 2 - Telfs.: (580212) 993.58.94 - 993-31-93"),8,array('justification'=>'center'));
$pdf->line(60,440,550,440);
// Hasta Aqui */
// Se restaura el objeto y se cierra, para que de el salto de p�gina.
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.
// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(4,4,3.5,3);
$pdf->addObject($all,'all'); 

$pdf->ezStream();  

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}

function monto_en_letras ($numero) { 
    // Primero tomamos el numero y le quitamos los caracteres especiales y extras 
    // Dejando solamente el punto "." que separa los decimales 
    // Si encuentra mas de un punto, devuelve error. 
    // NOTA: Para los paises en que el punto y la coma se usan de forma 
    // inversa, solo hay que cambiar la coma por punto en el array de "extras" 
    // y el punto por coma en el explode de $partes 
     
    $extras= array("/[\$]/","/ /","/,/","/-/"); 
    $limpio=preg_replace($extras,"",$numero); 
    $partes=explode(".",$limpio); 
    if (count($partes)>2) { 
        return "Error, el n&uacute;mero no es correcto"; 
        exit(); 
    } 
     
    // Ahora explotamos la parte del numero en elementos de un array que 
    // llamaremos $digitos, y contamos los grupos de tres digitos 
    // resultantes 
     
    $digitos_piezas=chunk_split ($partes[0],1,"#"); 
    $digitos_piezas=substr($digitos_piezas,0,strlen($digitos_piezas)-1); 
    $digitos=explode("#",$digitos_piezas); 
    $todos=count($digitos); 
    $grupos=ceil (count($digitos)/3); 
     
    // comenzamos a dar formato a cada grupo 
     
    $unidad = array   ('un','dos','tres','cuatro','cinco','seis','siete','ocho','nueve'); 
    $decenas = array ('diez','once','doce', 'trece','catorce','quince'); 
    $decena = array   ('dieci','veinti','treinta','cuarenta','cincuenta','sesenta','setenta','ochenta','noventa'); 
    $centena = array   ('ciento','doscientos','trescientos','cuatrocientos','quinientos','seiscientos','setecientos','ochocientos','novecientos'); 
    $resto=$todos; 
     
    for ($i=1; $i<=$grupos; $i++) { 
         
        // Hacemos el grupo 
        if ($resto>=3) { 
            $corte=3; } else { 
            $corte=$resto; 
        } 
            $offset=(($i*3)-3)+$corte; 
            $offset=$offset*(-1); 
         
        // la siguiente seccion es una adaptacion de la contribucion de cofyman y JavierB 
         
        $num=implode("",array_slice ($digitos,$offset,$corte)); 
        $resultado[$i] = ""; 
        $cen = (int) ($num / 100);              //Cifra de las centenas 
        $doble = $num - ($cen*100);             //Cifras de las decenas y unidades 
        $dec = (int)($num / 10) - ($cen*10);    //Cifra de las decenas 
        $uni = $num - ($dec*10) - ($cen*100);   //Cifra de las unidades 
        if ($cen > 0) { 
           if ($num == 100) $resultado[$i] = "cien"; 
           else $resultado[$i] = $centena[$cen-1].' '; 
        }//end if 
        if ($doble>0) { 
           if ($doble == 20) { 
              $resultado[$i] .= " veinte"; 
           }elseif (($doble < 16) and ($doble>9)) { 
              $resultado[$i] .= $decenas[$doble-10]; 
           }else { 
              $resultado[$i] .=' '. $decena[$dec-1]; 
           }//end if 
           if ($dec>2 and $uni<>0) $resultado[$i] .=' y '; 
           if (($uni>0) and ($doble>15) or ($dec==0)) { 
              if ($i==1 && $uni == 1) $resultado[$i].="uno"; 
              elseif ($i==2 && $num == 1) $resultado[$i].=""; 
              else $resultado[$i].=$unidad[$uni-1]; 
           } 
        } 

        // Le agregamos la terminacion del grupo 
        switch ($i) { 
            case 2: 
            $resultado[$i].= ($resultado[$i]=="") ? "" : " mil "; 
            break; 
            case 3: 
            $resultado[$i].= ($num==1) ? " mill&oacute;n " : " millones "; 
            break; 
        } 
        $resto-=$corte; 
    } 
     
    // Sacamos el resultado (primero invertimos el array) 
    $resultado_inv= array_reverse($resultado, TRUE); 
    $final=""; 
    foreach ($resultado_inv as $parte){ 
        $final.=$parte; 
    } 
    return $final; 
} 

?>
<?php

function decimal_en_letras($decimal)
{
   // Convierto la Parte Decimal de la Nota en letras. 
   switch ($decimal)
   {
    case 00:
	    $decimal_en_letras='00';
		break;					 
	case 01:
	    $decimal_en_letras='Cero Uno';
		break;	
	case 02:
	    $decimal_en_letras='Cero Dos';
		break;	
	case 03:
	    $decimal_en_letras='Cero Tres';
		break;
	case 04:
	    $decimal_en_letras='Cero Cuatro';
		break;	
	case 05:
	    $decimal_en_letras='Cero Cinco';
		break;	
	case 06:
	    $decimal_en_letras='Cero Se�s';
		break;	
	case 07:
	    $decimal_en_letras='Cero Siete';
		break;	
	case 08:
	    $decimal_en_letras='Cero Ocho';
		break;	
	case 09:
	    $decimal_en_letras='Cero Nueve';
		break;	
	case 10:
	    $decimal_en_letras='Diez';
		break;	
	case 11:
	    $decimal_en_letras='Once';
		break;	
	case 12:
	    $decimal_en_letras='Doce';
		break;	
	case 13:
	    $decimal_en_letras='Trece';
		break;	
	case 14:
	    $decimal_en_letras='Catorce';
		break;	
	case 15:
	    $decimal_en_letras='Quince';
		break;	
	case 16:
	    $decimal_en_letras='Dieciseis';
		break;	
	case 17:
	    $decimal_en_letras='Diecisiete';
		break;	
	case 18:
	    $decimal_en_letras='Dieciocho';
		break;	
	case 19:
	    $decimal_en_letras='Diecinueve';
		break;	
	case 20:
	    $decimal_en_letras='Veinte';
		break;	
	case 21:
	    $decimal_en_letras='Veintiuno';
		break;	
	case 22:
	    $decimal_en_letras='Veintidos';
		break;
	case 23:
	    $decimal_en_letras='Veintitres';
		break;
	case 24:
	    $decimal_en_letras='Veinticuatro';
		break;
	case 25:
	    $decimal_en_letras='Veinticinco';
		break;
	case 26:
	    $decimal_en_letras='Veintiseis';
		break;
	case 27:
	    $decimal_en_letras='Veintisiete';
		break;
	case 28:
	    $decimal_en_letras='Veintiocho';
		break;
	case 29:
	    $decimal_en_letras='Veintinueve';
		break;
	case 30:
	    $decimal_en_letras='Treinta';
		break;	
	case 31:
	    $decimal_en_letras='Treinta y Uno';
		break;
	case 32:
	    $decimal_en_letras='Treinta y Dos';
		break;
	case 33:
	    $decimal_en_letras='Treinta y Tres';
		break;
	case 34:
	    $decimal_en_letras='Treinta y Cuatro';
		break;
	case 35:
	    $decimal_en_letras='Treinta y Cinco';
		break;
	case 36:
	    $decimal_en_letras='Treinta y Seis';
		break;
	case 37:
	    $decimal_en_letras='Treinta y Siete';
		break;
	case 38:
	    $decimal_en_letras='Treinta y Ocho';
		break;	
	case 39:
	    $decimal_en_letras='Treinta y Nueve';
		break;	
	case 40:
	    $decimal_en_letras='Cuarenta';
		break;	
	case 41:
	    $decimal_en_letras='Cuarenta y Uno';
		break;	
	case 42:
	    $decimal_en_letras='Cuarenta y Dos';
		break;	
	case 43:
	    $decimal_en_letras='Cuarenta y Tres';
		break;	
	case 44:
	    $decimal_en_letras='Cuarenta y Cuatro';
		break;	
	case 45:
	    $decimal_en_letras='Cuarenta y Cinco';
		break;	
	case 46:
	    $decimal_en_letras='Cuarenta y Seis';
		break;	
	case 47:
	    $decimal_en_letras='Cuarenta y Siete';
		break;	
	case 48:
	    $decimal_en_letras='Cuarenta y Ocho';
		break;	
	case 49:
	    $decimal_en_letras='Cuarenta y Nueve';
		break;	
	case 50:
	    $decimal_en_letras='Cincuenta';
		break;	
	case 51:
	    $decimal_en_letras='Cincuenta y Uno';
		break;	
	case 52:
	    $decimal_en_letras='Cincuenta y Dos';
		break;	
	case 53:
	    $decimal_en_letras='Cincuenta y Tres';
		break;	
	case 54:
	    $decimal_en_letras='Cincuenta y Cuatro';
		break;	
	case 55:
	    $decimal_en_letras='Cincuenta y Cinco';
		break;	
	case 56:
	    $decimal_en_letras='Cincuenta y Seis';
		break;	
	case 57:
	    $decimal_en_letras='Cincuenta y Siete';
		break;	
	case 58:
	    $decimal_en_letras='Cincuenta y Ocho';
		break;	
	case 59:
	    $decimal_en_letras='Cincuenta y Nueve';
		break;	
	case 60:
	    $decimal_en_letras='Sesenta';
		break;	
	case 61:
	    $decimal_en_letras='Sesenta y Uno';
		break;	
	case 62:
	    $decimal_en_letras='Sesenta y Dos';
		break;	
	case 63:
	    $decimal_en_letras='Sesenta y Tres';
		break;	
	case 64:
	    $decimal_en_letras='Sesenta y Cuatro';
		break;	
	case 65:
	    $decimal_en_letras='Sesenta y Cinco';
		break;	
	case 66:
	    $decimal_en_letras='Sesenta y Seis';
		break;	
	case 67:
	    $decimal_en_letras='Sesenta y Siete';
		break;	
	case 68:
	    $decimal_en_letras='Sesenta y Ocho';
		break;	
	case 69:
	    $decimal_en_letras='Sesenta y Nueve';
		break;	
	case 70:
	    $decimal_en_letras='Setenta';
		break;	
	case 71:
	    $decimal_en_letras='Setenta y Uno';
		break;	
	case 72:
	    $decimal_en_letras='Setenta y Dos';
		break;	
	case 73:
	    $decimal_en_letras='Setenta y Tres';
		break;	
	case 74:
	    $decimal_en_letras='Setenta y Cuatro';
		break;	
	case 75:
	    $decimal_en_letras='Setenta y Cinco';
		break;	
	case 76:
	    $decimal_en_letras='Setenta y Seis';
		break;	
	case 77:
	    $decimal_en_letras='Setenta y Siete';
		break;	
	case 78:
	    $decimal_en_letras='Setenta y Ocho';
		break;	
	case 79:
	    $decimal_en_letras='Setenta y Nueve';
		break;	
	case 80:
	    $decimal_en_letras='Ochenta';
		break;	
	case 81:
	    $decimal_en_letras='Ochenta y Uno';
		break;	
	case 82:
	    $decimal_en_letras='Ochenta y Dos';
		break;	
	case 83:
	    $decimal_en_letras='Ochenta y Tres';
		break;	
	case 84:
	    $decimal_en_letras='Ochenta y Cuatro';
		break;	
	case 85:
	    $decimal_en_letras='Ochenta y Cinco';
		break;	
	case 86:
	    $decimal_en_letras='Ochenta y Seis';
		break;	
	case 87:
	    $decimal_en_letras='Ochenta y Siete';
		break;	
	case 88:
	    $decimal_en_letras='Ochenta y Ocho';
		break;	
	case 89:
	    $decimal_en_letras='Ochenta y Nueve';
		break;	
	case 90:
	    $decimal_en_letras='Noventa';
		break;	
	case 91:
	    $decimal_en_letras='Noventa y Uno';
		break;	
	case 92:
	    $decimal_en_letras='Noventa y Dos';
		break;	
	case 93:
	    $decimal_en_letras='Noventa y Tres';
		break;	
	case 94:
	    $decimal_en_letras='Noventa y Cuatro';
		break;	
	case 95:
	    $decimal_en_letras='Noventa y Cinco';
		break;	
	case 96:
	    $decimal_en_letras='Noventa y Seis';
		break;	
	case 97:
	    $decimal_en_letras='Noventa y Siete';
		break;	
	case 98:
	    $decimal_en_letras='Noventa y Ocho';
		break;	
	case 99:
	    $decimal_en_letras='Noventa y Nueve';
		break;	
	default:    
		$decimal_en_letras='';
		break;	
   }
   $en_letras=$entero_en_letras.' '.$decimal_en_letras;			     
   return $en_letras;
}
?> 